Bug 72202 - Incorrect /etc/lilo.conf after install
Incorrect /etc/lilo.conf after install
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
null
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-21 18:13 EDT by David Jung
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-02 19:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The pre-installation lilo.conf (that the install renamed to lilo.conf.rpmsave) (734 bytes, text/plain)
2002-08-21 19:35 EDT, David Jung
no flags Details

  None (edit)
Description David Jung 2002-08-21 18:13:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
lilo.conf (and installed lilo boot info) missing linux entry

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Install null on a 7.3 system
2.
3.
	

Actual Results:  I selected to update the bootloader (which is lilo) during
installation.  It created a new lilo.conf that contained only a single entry -
for booting my windows partition (which was present in the old lilo.conf file).
 There was no entry for either the old or new linux kernels.  lilo was used to
write the config - hence I could not boot into linux on initial restart after
install.  Luckily I opted to created a boot disk.  The boot disk correctly
identified the linux boot partition.
Also, a minor note - I also has a couple other commented out entries in
lilo.conf for previously tried kernels.  The comments were not carried over into
the new lilo.conf.
Thankfully, the install saved the lilo.conf to a .rpmsave file.

Expected Results:  Should have been an appropriate entry in the lilo.conf.


Additional info:
Comment 1 Jeremy Katz 2002-08-21 18:45:01 EDT
Could you attach your old lilo.conf?
Comment 2 David Jung 2002-08-21 19:35:24 EDT
Created attachment 72106 [details]
The pre-installation lilo.conf (that the install renamed to lilo.conf.rpmsave)
Comment 3 Jeremy Katz 2002-08-23 12:56:24 EDT
Did /boot/vmlinuz-2.4.17 and /boot/initrd-2.4.17.img actually exist?  Also, do
you still have the lilo.conf that was written out by the install?
Comment 4 David Jung 2002-08-26 09:46:13 EDT
Yes, /boot/vmlinuz-2.4.17[.img] were existing (that is the kernel that was in
use before the install).  Sorry, I don't have the lilo.conf written by the
install.  From memory, it was the header parts followed by the windows entry -
that's it. No comments in the file either.
Comment 5 Jeremy Katz 2002-09-02 19:22:19 EDT
Fixed in mkinitrd-3.4.27-1
Comment 6 David Lawrence 2002-09-05 18:56:22 EDT
Verified fixed in latest code.

Note You need to log in before you can comment on or make changes to this bug.